Subject: bug#77539: 31.0.50; nnatom: missing content in articles.

From: Daniel Semyonov <[email-masked]>
Date: Sat, 05 Apr 2025 12:15:00 +0300

>>>>> Fernando de Morais writes:

    > Hello Daniel,
    > Thank you for checking on this issue.  I applied the patch and it fixed
    > the problem with YouTube channel feeds!

    > Daniel Semyonov <[email-masked]> writes:

    >> I think those characters disappear due to the text being HTML, which
    >> causes Gnus to display it differently.
    >> AFAICT, the characters do appear in the body of the text saved by nnatom.

    > In that case, do you think this is something that can be solved in
    > `nnatom', or would it require investigating other parts of Gnus?  I ask
    > because I used `nnrss' + atom2rss.xml for a while to read some Atom
    > feeds, and this issue with the characters didn't appear.

IIRC HTML articles are displayed by Gnus using shr.el, I assume this
would need to be fixed there (though I'm not sure if this is really a
"bug" or expected behavior for an HTML renderer).

    > Interestingly, Philip Kaludercic's feed (amodernist.com/all.atom)
    > doesn't show the problem when accessed via `nnatom'...

The curly quotes I found in this feed do not appear literally in the
feed, but rather appear as "&#8220;" and "&#8221;" in the HTML content
of the article; AFAIU this is the correct way to include such characters
in HTML, so it doesn't surprise me they show up correctly in Gnus.

    > Thanks again!

Thank you for reporting these issues,
Daniel